Skip to main content

Update Location Asset Resource

API Description​

Update a location asset resource by supplying the unique asset ID assigned to the partner’s description of the asset, along with the asset's description in full, not just the fields requiring updating. Any field that is omitted SHALL be interpreted as a deletion. The following properties cannot be updated:

  • imageId
  • url

Request​

URI Parameters​

NameInput
orgId
REQUIRED
locationId
REQUIRED
assetId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/locations/{locationId}/assets/{assetId}
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/assets/9467895078742654901

Request Headers​

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "6dcf26de-ddd3-11ec-9ee0-ff92bc6c8483"

Request Body​

NameInput
$.id
REQUIRED
$.assetDetails
REQUIRED
Example Request Body (raw JSON)
{
"id": "9467895078742654901",
"assetDetails": {
"partnersAssetId": "9090909090",
"dateAdded": "2026-09-10T12:45:34.00Z",
"capturedBy": "Jane D.",
"intent": "GALLERY",
"captions": [
{
"title": "Exterior View",
"altText": "Storefront and outdoor patio with tables and chairs",
"locale": "en-US"
}
],
"coordinates": {
"longitude": "-97.7199035",
"latitude": "30.2210519"
},
"classifications": [
"exterior",
"outdoors"
],
"source": "USER",
"photos": {
"xxlarge": {
"url": "http://goodpartner.com/images/malibuicecream/3887887.jpg",
"pixelHeight": 1200,
"pixelWidth": 1200
}
}
}
}

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: c23dbe40-6264-4dbb-ad31-7a6e2ef3ee78
content-type: application/json
etag: "7e8c2314-ddd3-11ec-bdca-67e3768cfad1"
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654976/assets/9467895078742654901

Response Body​

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654901",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-02T09:45:21.00Z",
"state": "SUBMITTED",
"etag": "7e8c2314-ddd3-11ec-bdca-67e3768cfad1",
"assetDetails": {
"partnersAssetId": "9090909090",
"dateAdded": "2026-09-10T12:45:34.00Z",
"capturedBy": "Jane D.",
"intent": "GALLERY",
"captions": [
{
"title": "Exterior View",
"altText": "Storefront and outdoor patio with tables and chairs",
"locale": "en-US"
}
],
"coordinates": {
"longitude": "-97.7199035",
"latitude": "30.2210519"
},
"classifications": [
"exterior",
"outdoors"
],
"source": "USER",
"photos": {
"xxlarge": {
"url": "http://goodpartner.com/images/malibuicecream/3887887.jpg",
"pixelHeight": 1200,
"pixelWidth": 1200
}
}
},
"validationReports": []
}